Remove ReaderFeedback tables from wikis
Closed, ResolvedPublic

Description

reader_feedback, reader_feedback_history, reader_feedback_pages need dropping from at least enwikibooks, enwikinews, and probably other wikis. Should be check

The extension has been undeployed for numerous years now

See also T173677

Reedy created this task.Aug 30 2017, 5:23 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 30 2017, 5:23 PM
Reedy renamed this task from Remove reader_feedback tables from wikis to Remove ReaderFeedback tables from wikis.Aug 30 2017, 5:24 PM
Reedy updated the task description. (Show Details)
Marostegui moved this task from Triage to Backlog on the DBA board.Aug 31 2017, 6:47 AM
Marostegui added a subscriber: Marostegui.EditedAug 31 2017, 6:52 AM

These tables currently exist on:

s2 (they are empty) - so no need to backup them

eowiki
plwiki

s3 (some of them are empty - I will back up all of the them to make it easier):

alswiki
de_labswikimedia
dewikiquote
dewiktionary
en_labswikimedia
enwikibooks
enwikinews
eswikinews
flaggedrevs_labswikimedia
frwikinews
hewikisource
iawiki
iswiktionary
mediawikiwiki
ptwikibooks
ptwikinews
ptwikisource
readerfeedback_labswikimedia
ruwikinews
ruwikiquote
ruwikisource
strategyappswiki
strategywiki
testwiki
trwikinews
ukwiktionary
zh_classicalwiki

s5:

dewiki

s6 (they are empty) - so no need to backup them:

ruwiki

s7:

arwiki (empty)
huwiki

I have backuped the tables at:

root@dbstore1001:/srv/tmp/T174586# pwd
/srv/tmp/T174586
root@dbstore1001:/srv/tmp/T174586# ls -lh
total 33M
-rw-r--r-- 1 root root 9.4M Aug 31 07:44 s3.tar.gz
-rw-r--r-- 1 root root 198K Aug 31 07:55 s5.tar.gz
-rw-r--r-- 1 root root  23M Aug 31 07:58 s7.tar.gz

Mentioned in SAL (#wikimedia-operations) [2017-08-31T08:01:53Z] <marostegui> Rename reader_feedback, reader_feedback_history, reader_feedback_pages tables on dewiki on db1092 - T174586

I have renamed the tables on db1092 on dewiki, and will leave them for a few days before dropping them everywhere:

root@db1092[dewiki]> set session sql_log_bin=0;
Query OK, 0 rows affected (0.00 sec)

root@db1092[dewiki]> rename table reader_feedback to T174586_reader_feedback;
Query OK, 0 rows affected (0.01 sec)

root@db1092[dewiki]> rename table reader_feedback_history to T174586_reader_feedback_history;
Query OK, 0 rows affected (0.01 sec)

root@db1092[dewiki]> rename table reader_feedback_pages to T174586_reader_feedback_pages;
Query OK, 0 rows affected (0.00 sec)
Marostegui moved this task from Backlog to In progress on the DBA board.Aug 31 2017, 8:06 AM

Mentioned in SAL (#wikimedia-operations) [2017-09-05T11:54:50Z] <marostegui> Drop reader_feedback, reader_feedback_history, reader_feedback_pages tables - T174586

Tables dropped from s2

Tables dropped from s3

Marostegui closed this task as Resolved.Sep 5 2017, 12:28 PM
Marostegui claimed this task.

Tables dropped from: s5,s6 and s7.

All done